-- requisites
require("player")
require("coin")
--
function love.load()
	-- loading librares
	player.load()

	-- screen variabels
	screenWidth = love.graphics.getWidth()
	screenHeight = love.graphics.getHeight()

	-- score
	score = 0

	-- game contoller
	GAME_OVER = false

	-- music
	music = love.audio.newSource("res/Music.mp3")
	music:setLooping( true )
	love.audio.play(music)

	-- fonts
	gmfont = love.graphics.newFont("res/Font.otf", 50)
end
--
function love.update(dt)
	-- update stuff yo
	if not GAME_OVER then
		-- player
		UPDATE_PLAYER(dt)

		-- couns
		UPDATE_COIN(dt)
	end
end
--
function love.draw()
	-- draw stuff yo
	if not GAME_OVER then
		-- player
		DRAW_PLAYER()

		-- coins
		DRAW_COIN()

		-- draw the score
		love.graphics.setFont(gmfont)
		love.graphics.setColor(255,255,255)
		love.graphics.print("SCORE: ", 0, 0)
		love.graphics.print(score, 210, 0)

		-- draw the ground
		love.graphics.rectangle("fill", 0, 500, 600, 600)
	end

	if GAME_OVER == true then
		love.graphics.setFont(gmfont)
		love.graphics.print("GAME OVER", 130, 0)
		love.graphics.print(score, 270, 290)
		love.graphics.print("Escape to quit", 90, 550)
	end
end
--
function love.keypressed(key)
	-- exit
	if key == "escape" then
		love.event.quit()
	end
end